Skip to content

Get Smart Contract Transaction Details

Returns the signing result of a message or smart contract.

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders/{order_no}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders/{order_no}

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet ID
order_no
Required
StringOrder ID

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object Smart contract order (see data object details below)

data (object)

FieldTypeDescription
domain_idStringDomain identifier
typeStringTransaction type
order_wallet_info_modelObjectWallet information model
wallet_codeStringWallet code
coin_nameStringCoin/token name
wallet_nameStringWallet name
connect_typeStringConnection type
time_stampLongOrder creation time stamp
block_hashStringBlock hash
miner_feeDecimalMiner fee for executing the contract
order_noStringOrder number
serial_noStringSerial number
contract_addressStringContract address
contract_address_descStringContract address description
contract_address_labelStringContract address label
from_addressStringFrom address
contract_functionStringContract function
contract_function_signatureStringContract function signature
gas_priceDecimalGas price
max_fee_per_gasDecimalMax fee
max_priority_fee_per_gasDecimalPriority fee
gas_limitDecimalGas limit
gas_usedDecimalGas used
contract_dataStringContract data
nonceStringTransaction nonce
applicantStringOrder maker / applicant
statusStringOrder status
Allowed values: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED
ext_statusStringExternal status
inner_statusStringInternal status
amountDecimalWithdrawal amount
tx_idStringTransaction hash
descriptionStringOrder description
deposit_transObject[]Deposit transaction (see deposit_trans / withdraw_trans object details below)
withdraw_transObject[]Withdrawal transaction (see deposit_trans / withdraw_trans object details below)
wallet_idIntegerWallet ID
chainStringChain name
chain_idStringChain ID
payloadStringOriginal request payload
signed_dataStringSigned transaction data
contract_instructionsStringContract instructions
bnameStringBusiness name
bidStringBusiness line ID

deposit_trans / withdraw_trans (object)

FieldTypeDescription
amountDecimalAmount
coin_nameStringCoin/token type

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "domain_id": "1e2fa188f5d44faca64c40111062e001",
        "type": "API_DAPP_TRANSACTION",
        "order_wallet_info_model": null,
        "wallet_code": "DeFiEVM4303011111",
        "coin_name": null,
        "wallet_name": "",
        "connect_type": null,
        "time_stamp": 1755679499000,
        "block_hash": "",
        "miner_fee": 3439022104100,
        "order_no": "TX001",
        "serial_no": "ABC245V0TSTXTEST000001",
        "contract_address": "0x4aab11ADc11dD664DD1A4FDFa38dF001dac1D001",
        "contract_address_desc": null,
        "contract_address_label": null,
        "from_address": "0x11d021cFFc2c11F11b11F54ABCb7fFFF90d0A6C1",
        "contract_function": "0xa9059cbb",
        "contract_function_signature": "0xa9059cbb",
        "gas_price": 153322430,
        "max_fee_per_gas": null,
        "max_priority_fee_per_gas": null,
        "gas_limit": 500000,
        "gas_used": null,
        "contract_data": "0xa1122cbb00000000000000000000000005d021cffc1c12f64b53f11abcb1ffff11d0a1c1000000000000000000000000000000000000000000000000000000000000000a",
        "nonce": "0",
        "applicant": "XXXXX@test.com",
        "status": "FINISHED",
        "ext_status": "FINISHED",
        "inner_status": "FINISHED",
        "amount": 1,
        "tx_id": "0x00c0e989c7e0f31e22b18789b4abfcac00000004ba672f8a107bd8d1ae6ab000",
        "description": "This is a create order",
        "deposit_trans": [
            {
                "amount": 1,
                "coin_name": "ETH_SEPOLIA"
            }
        ],
        "withdraw_trans": [
            {
                "amount": 1,
                "coin_name": "ETH_SEPOLIA"
            }
        ],
        "wallet_id": 00001,
        "chain": "SEPOLIA",
        "chain_id": "11155111",
        "payload": null,
        "signed_data": null,
        "contract_instructions": null,
        "bname": null,
        "bid": "b4a00000d06542ba8fedb40e99d0c000"
    },
    "successful": true
}